package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.MensajePuntoVentaDAO;
import com.rjconsultores.ventaboletos.dao.sqlbuilder.SQLBuilder;
import com.rjconsultores.ventaboletos.entidad.Mensaje;
import com.rjconsultores.ventaboletos.entidad.MensajePuntoVenta;

@Repository("MensajePuntoVentaDAO")
public class MensajePuntoVentaHibernateDAO extends GenericHibernateDAO<MensajePuntoVenta, Integer> implements MensajePuntoVentaDAO {

	@Autowired
	private SQLBuilder sqlBuilder;

	@Autowired
	public MensajePuntoVentaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
	
	@SuppressWarnings("unchecked")
	@Override
	public List<MensajePuntoVenta> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		return c.list();
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<MensajePuntoVenta> obtenerPorMensaje(Mensaje mensaje) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.add(Restrictions.eq("mensaje", mensaje));
		return c.list();
	}
	
}
